Subject: bug#48804: 27.2; compilation emacs on macOS

From: Konrad Podczeck <[email-masked]>
Date: Fri, 4 Jun 2021 16:33:43 +0200

> Am 04.06.2021 um 14:23 schrieb Eli Zaretskii <[email-masked]>:
> 
>> From: Niels Søndergaard <[email-masked]>
>> Date: Fri, 4 Jun 2021 14:19:54 +0200
>> Cc: Eli Zaretskii <[email-masked]>,
>> Alan Third <[email-masked]>,
>> Niels Søndergaard <[email-masked]>,
>> [email-masked]
>> 
>> I’ve gcc 10.2.0_4 installed by Homebrew on my new iMac 24” (with M1), and can’t get a newer version, so I’ll
>> properly have to wait ….. 
> 
> What's wrong with GCC 10?  

Probably nothing. I installed GCC-11 because it is the newest (on homebrew). The point is that the c-compiler coming with Apple’s Xcode seems not do the job.

> AFAIK, even GCC 7 comes with libgccjit that
> is good enough for Emacs.